namespace PerformanceCounters
{
    public interface IPerformanceCounterManagement {
        void CreatePerformanceCounterCategory(string categoryName, string counterName, string categoryHelp = null, string performanceCounterHelperText = null);
        void DeleteCategory(string categoryName);
        void DeleteNotUnusedPerformanceCounterInstances(string categoryName, string counterName, params string[] instanceNames);
        System.Diagnostics.PerformanceCounter CreateOrGetPerformanceCounterInstance(string categoryName, string counterName, string instanceName);
    }
}